<?php

namespace Simplyin\Simplyin_W_Plugin\Dto\Order;

class Parcel_Locker_Minimal_Info_DTO {

	protected string $locker_id;
	protected string $provider_name;

	public function to_array(): array {
		return [
			"lockerId"     => $this->locker_id,
			"providerName" => $this->provider_name,
		];
	}

	public function set_locker_id( string $locker_id ): void {
		$this->locker_id = $locker_id;
	}

	public function set_provider_name( string $provider_name ): void {
		$this->provider_name = $provider_name;
	}
}
